Bug Hunting Session
Bug 48870 - kill the cookies
Summary: kill the cookies
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Gábor Stefanik
URL:
Whiteboard: target:3.6.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-04-18 04:48 UTC by Michael Meeks
Modified: 2015-12-15 23:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-04-18 04:48:59 UTC
Description in:

http://lists.freedesktop.org/archives/libreoffice/2012-April/030320.html

We need to kill the code that uses icon-themes/galaxy/res/cookie.png

And mark this UCB / UNO interface as deprecated - a quick:

git grep andleCookiesRequest

shows most of the places to touch, the iahnd code needs git rm'ing as does the uui/source/cookiedlg* - which will need removing from the top-level uui/*.mk files too.

Should be an easy hack to remove some long overdue cruft from the days when LibreOffice was a web browser ;-)
Comment 1 Gábor Stefanik 2012-04-25 14:14:37 UTC
Patch submitted to mailing list, awaiting approval.
Comment 2 Not Assigned 2012-04-26 01:44:27 UTC
Gabor Stefanik committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c581e326181abfcdd1fffd7fcf49ed705274ed93

fdo#48870: Remove cookie handling code.
Comment 3 Not Assigned 2012-04-26 01:44:52 UTC
Gabor Stefanik committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3a9fe4c93af76f0287bf940763409ea346cf186

fdo#48870: Remove icon-themes/galaxy/res/cookie.png
Comment 4 Gábor Stefanik 2012-04-26 14:23:27 UTC
Is anything more left to do in this bug?
Comment 5 Michael Meeks 2012-04-27 01:23:25 UTC
I was hoping you'd close it ;-) but happy to do that for you.

Thanks for the nice cleanup !
Comment 6 Robinson Tryon (qubit) 2015-12-15 23:37:37 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup )
[NinjaEdit]